## parcellite 1.1.4

=== debian/changelog ===
parcellite (1.1.4-1ubuntu1) raring; urgency=low

  * debian/patches/fix_indicator_lookup.patch: (LP: #1148432)
   - Check for "indicator-session-service" not "indicator-appmenu"

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 02 Apr 2013 11:46:01 -0400

parcellite (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Enable indicator support where available:
   - debian/control: Build depend on libappindicator-dev. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 24 Jan 2013 19:34:29 -0500

parcellite (1.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 20 Jan 2013 11:12:24 -0500

parcellite (1.0.2~rc6-1) unstable; urgency=low

  * New upstream release.
   - Include glib.h instead of individual headers (Closes: #665594).
  * Drop manpage_cleanup.patch, applied upstream.
  * debian/rules: No longer need to override clean target to delete
    leftover files in the tarball before building.
  * debian/control:
   - Use my debian.org address.
   - Bump Standards-Version to 3.9.4 
  * debian/compat: Bump to 9.
  * Drop unused lintian-overrides.
  * debian/copyright: Update Format field and my email.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 09 Jan 2013 19:17:08 -0500

=== debian/control ===
Source: parcellite
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               intltool,
               libappindicator-dev,
               libgtk2.0-dev
Standards-Version: 3.9.4
Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/parcellite/unstable/
Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/parcellite/unstable/files
Homepage: http://parcellite.sourceforge.net/

Package: parcellite
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: lightweight GTK+ clipboard manager
 Parcellite is a stripped down, basic-features-only clipboard manager
 with a small memory footprint for those who like simplicity.
 .
 Features:
 .
  * Keeps a clipboard history.
  * Various view options to display items the way you like it.
  * Daemon mode; guard your clipboard contents when you close applications.
  * Perform custom commands using clipboard contents.

## parcellite 1.1.5

=== debian/changelog ===
parcellite (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 23 Jul 2013 18:28:40 -0400

## parcellite 1.1.7

=== debian/changelog ===
parcellite (1.1.7-3) unstable; urgency=low

  * debian/control:
    - Edited the Maintainer field: Parcellite was adopted. (Closes: #750948)
  * debian/copyright:
    - Added a line to signal the adoption. 

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Mon, 16 Jun 2014 00:05:10 +0200

parcellite (1.1.7-2) unstable; urgency=medium

  * Backport upstream commit to stop menu from popping
    up on start up under Unity (LP: #1298580).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 08 Jun 2014 15:20:01 -0400

parcellite (1.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 24 Mar 2014 11:42:07 -0400

parcellite (1.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 27 Aug 2013 10:49:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: parcellite
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
+Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                intltool,
                libappindicator-dev,
                libgtk2.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/parcellite/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/parcellite/unstable/files
 Homepage: http://parcellite.sourceforge.net/

## parcellite 1.1.9

=== debian/changelog ===
parcellite (1.1.9-1) unstable; urgency=low

  * New upstream release
  * Bug #758738 fixed by upstream (Closes: #758738).
  * Bug #758832 fixed by upstream (Closes: #758832).
  * Bug #760242 fixed by upstream (Closes: #760242).
  * Bug #650779 fixed by upstream a long time ago (Closes: #650779).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sun, 05 Oct 2014 17:05:44 +0200

parcellite (1.1.8-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: 
    - Using anonscm Vcs links for the Vcs-Bzr field.
  * debian/patches/series
    - Deleted menu_popup_on_start.patch: Integrated in upstream source-code 
      by upstream.
  * Bug #744047 fixed by upstream (Closes: #744047).

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Wed, 13 Aug 2014 16:15:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                intltool,
                libappindicator-dev,
                libgtk2.0-dev
-Standards-Version: 3.9.5
-Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/parcellite/unstable/
+Standards-Version: 3.9.6
+Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/parcellite/unstable/
 Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/parcellite/unstable/files
 Homepage: http://parcellite.sourceforge.net/

## parcellite 1.2.1

=== debian/changelog ===
parcellite (1.2.1-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1114255)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Oct 2025 20:34:07 +0300

parcellite (1.2.1-9) unstable; urgency=medium

  * Add 000-fix-ftbfs-gcc14.patch: Fix FTBFS when using
    GCC14. (Closes: #1075362)
  * Refresh debian/patches.
  * debian/copyright:
    + Update GPL like licence texts to use a modern version.
    + Update copyright holder years and add Josue Ortega <josue@debian.org>.
  * Add Josue Ortega <josue@debian.org> as Uploader.

 -- Josue Ortega <josue@debian.org>  Thu, 01 May 2025 18:01:34 -0300

parcellite (1.2.1-8) unstable; urgency=medium

  * Add a patch to fix pop-up menu,
    thanks to Jurek Młynarczyk <jurek.mlynarczyk@o2.pl>.
    Closes: #1054348

 -- Dominik Szmek <minikdo@riseup.net>  Tue, 24 Oct 2023 20:45:13 +0200

parcellite (1.2.1-7) unstable; urgency=medium

  * Fix Edit Clipboard textbox dialog,
    thanks to Jurek Młynarczyk <jurek.mlynarczyk@o2.pl>.
  * Set release to unstable.

 -- Dominik Szmek <minikdo@riseup.net>  Tue, 10 Oct 2023 20:28:59 +0200

parcellite (1.2.1-6) experimental; urgency=medium

  * New maintainer. Closes: #1050243
  * Add patch to port to gtk-3. Closes: #967681
  * Add missing headers in debian/patches.
  * Bump Standards-Version to use 4.6.2:
    - Document Rules-Requires-Root as no
  * Add Dominik Szmek <minikdo@riseup.net> as copyright holder for debian/*.
  * Update package to use debhelper-compat 13.
  * Add debian/salsa-ci.yml.

 -- Dominik Szmek <minikdo@riseup.net>  Sat, 16 Sep 2023 17:19:26 +0530

parcellite (1.2.1-5) unstable; urgency=medium

  * QA upload
  * Move Vcs to debian namespace
  * Update debhelper-compat to 12
  * Orphan the package (see #1050243)

 -- Bastian Germann <bage@debian.org>  Sat, 16 Sep 2023 09:18:41 +0000

parcellite (1.2.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libayatana-appindicator (Closes: #1036379).

 -- Bastian Germann <bage@debian.org>  Sun, 18 Jun 2023 20:27:24 +0200

parcellite (1.2.1-4) unstable; urgency=medium

  [ Hugo Lefeuvre ]
  * Enable AppIndicator support and switch over to Ayatana AppIndicator
    (thanks to Alessio Garzi for the patch !) (Closes: #909651).
  * debian/control:
    - Bump Standards-Version to 4.2.1.
    - Switch B-D from libappindicator-dev to libayatana-appindicator-dev.
  * debian/patches:
    - ayatana-appindicator.patch: switch to ayatana-appindicator.
    - fix-configure-ac.patch: fix build on sid.

 -- Thomas Koch <thomas@koch.ro>  Mon, 11 Jan 2021 14:20:14 +0100

parcellite (1.2.1-3) unstable; urgency=medium

  * Bump compat level to 11.
  * debian/control:
    - Update Vcs-* fields to match new debian Git repository (salsa migration).
    - Bump Standards-Version to 4.1.5.
    - Depend on debhelper >= 11 instead of >= 10.
    - Add autopkgtest-pkg-python stanza
  * debian/copyright:
    - Bump copyright years.
  * Remove trailing whitespaces in debian/changelog.
  * Add patch fixing missing Keywords entry in desktop file.
  * Update debian/watch to version 4.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 21 Jul 2018 16:51:58 -0400

parcellite (1.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.
  * debian/patches/fix-missing-path_max-on-hurd.patch:
    - Fix FTBFS on hurd-i386 (Closes: #863405).
  * Remove useless dependency on autotools-dev (useless because of compat=10)
  * Remove useless --with autotools_dev in debian/rules.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 29 Aug 2017 23:07:47 +0200

parcellite (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump compat level to 10.
  * debian/control:
    - Update Homepage field to match new upstream website.
    - Update Vcs-* fields to match new debian Git repository.
    - Bump Standards-Version to 3.9.8.
    - Depend on debhelper >= 10 instead of >= 9.
    - Update Hugo Lefeuvre's e-mail address.
  * debian/copyright:
    - Bump copyright years.
    - Add missing copyright entry for Doug Springer.
    - Use HTTPS protocol in the Format field.
    - Update Source field to match new upstream website.
    - Update Hugo Lefeuvre's e-mail address.
  * debian/rules: Build with hardening flags.
  * Update debian/watch to match new upstream homepage.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 25 May 2017 21:26:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: parcellite
 Section: misc
 Priority: optional
-Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
+Maintainer: Dominik Szmek <minikdo@riseup.net>
+Uploaders: Josue Ortega <josue@debian.org>
+Build-Depends: debhelper-compat (= 13),
                intltool,
-               libappindicator-dev,
-               libgtk2.0-dev
-Standards-Version: 3.9.6
-Vcs-Bzr: http://anonscm.debian.org/bzr/collab-maint/parcellite/unstable/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/collab-maint/parcellite/unstable/files
-Homepage: http://parcellite.sourceforge.net/
+               libgtk-3-dev
+Standards-Version: 4.6.2
+Testsuite: autopkgtest-pkg-python
+Homepage: https://github.com/rickyrockrat/parcellite
+Vcs-Browser: https://salsa.debian.org/debian/parcellite
+Vcs-Git: https://salsa.debian.org/debian/parcellite.git
+Rules-Requires-Root: no
 
 Package: parcellite
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
		dh_auto_configure -- --enable-gtk3

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/parcellite-$1\.tar\.gz/ \
  https://github.com/rickyrockrat/parcellite/tags .*/v?(\d\S+)\.tar\.gz

## parcellite 1.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

project(parcellite)

find_package(PkgConfig REQUIRED)
find_package(X11 REQUIRED)
pkg_check_modules(GTK2 REQUIRED gtk+-2.0)

include_directories(${X11_INCLUDE_DIR} ${GTK2_INCLUDE_DIRS})
link_directories(${GTK2_LIBRARY_DIRS})

add_executable(parcellite src/attr_list.c
        src/daemon.c
        src/eggaccelerators.c
        src/history.c
        src/keybinder.c
        src/main.c
        src/preferences.c
        src/utils.c)

include(FindGettext OPTIONAL)
add_subdirectory(po)

add_definitions(${GTK2_CFLAGS_OTHER})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused-parameter")
target_link_libraries(parcellite ${X11_LIBRARIES} ${GTK2_LIBRARIES})

# Install binary:
install(TARGETS parcellite DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

# Install man page:
add_custom_target(man ALL)
add_custom_command(
  TARGET man
  COMMAND gzip ARGS --to-stdout ${CMAKE_CURRENT_SOURCE_DIR}/man/parcellite.1 > ${CMAKE_CURRENT_BINARY_DIR}/parcellite.1.gz
  OUTPUTS ${CMAKE_CURRENT_BINARY_DIR}/parcellite.1.gz
)
add_custom_command(TARGET man DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/parcellite.1.gz)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/parcellite.1.gz DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)

# Install icons:
install(FILES icons/parcellite.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
file (GLOB ICONS "icons/*/parcellite.png")
foreach(file ${ICONS})
    get_filename_component(dir ${file} DIRECTORY)
    get_filename_component(dir ${dir} NAME)

    install(FILES ${file} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/${dir}/apps)
endforeach()

# Install desktop files:
install(FILES data/parcellite.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)

=== po/CMakeLists.txt ===
if (NOT GETTEXT_FOUND)
    return()
endif()

target_compile_definitions(parcellite PUBLIC
    ENABLE_NLS
    GETTEXT_PACKAGE="parcellite"
    PARCELLITELOCALEDIR="${CMAKE_INSTALL_PREFIX}/share/locale"
)

set(src ${CMAKE_SOURCE_DIR}/src)
set(src_list
    ${src}/attr_list.c
    ${src}/daemon.c
    ${src}/eggaccelerators.c
    ${src}/history.c
    ${src}/keybinder.c
    ${src}/main.c
    ${src}/preferences.c
    ${src}/utils.c
)

execute_process(COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/)

set(pot_file ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot)
add_custom_command(OUTPUT ${pot_file}
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/
    COMMAND chmod a+w ${CMAKE_CURRENT_BINARY_DIR}/*.po
    COMMAND xgettext --keyword=_ --keyword=N_ -o ${pot_file} ${src_list}
    DEPENDS ${src_list}
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Extract translatable messages to ${pot_file}"
)

gettext_process_pot_file(${pot_file} ALL
    INSTALL_DESTINATION "${CMAKE_INSTALL_PREFIX}/share/locale/"
    LANGUAGES
        ca
        cs
        da
        de
        es
        fr
        hu
        it
        ja
        nb
        pl
        pl_PL
        pt_BR
        ro
        ru
        sv
        tr
        zh_CN
        zh_TW
)

=== debian/changelog ===
parcellite (1.2.6-0mx25) mx; urgency=medium

  * New upstream release
  * Built for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 03 Dec 2025 03:11:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: parcellite
 Section: misc
 Priority: optional
-Maintainer: Dominik Szmek <minikdo@riseup.net>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Dominik Szmek <minikdo@riseup.net>
 Uploaders: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               cmake,
                intltool,
+               libgtk2.0-dev,
                libgtk-3-dev
 Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
